#!/usr/bin/env python
# _*_ coding: UTF8 _*_

import json
from gaspacho import *
from gaspacho.config import database

files = ['/usr/share/gaspacho/import/ubuntu/10.04/firefox.gasp',
         '/usr/share/gaspacho/import/ubuntu/10.04/gnome.gasp',
         '/usr/share/gaspacho/import/ubuntu/10.04/desktop.gasp',
         '/usr/share/gaspacho/import/ubuntu/10.04/openoffice.gasp']

initialize_database(create=True)

def _set_choice(category, tag, rule, state, value=None):
    tcat = get_category(category, 'fr')
    ttag = tcat.get_tag(tag, 'fr')
    trule = ttag.get_rule(rule, 'fr')
    trule.set_choice(default, state=state, value=value)

for fname in files:
    print "Import file: %s"%fname
    fh = file(fname, 'r')
    config = json.load(fh, encoding='utf-8')
    fh.close()
    try:
        load(config)
    except Exception, e:
        #import traceback
        #print traceback.print_exc()
        rollback_database()
        print("  error: "+ str(e))
    commit_database()

#ajout du groupe default
default = add_group('default')
default.add_computer('*', 'dns')

_set_choice('Barre des tâches', 'Panel', 'Horloge (applet)', 'on')

commit_database()
# vim: ts=4 sw=4 expandtab
